Top "Exit-code" questions

An exit code is signaled by a program on termination to indicate if it completed successfully, or, if it did not, what sort of failure condition occurred.

"rd" exits with errorlevel set to 0 on error when deletion fails, etc

I'm writing a batch (.bat) script and I need to handle the case in which the deletion of a folder …

windows batch-file error-handling cmd exit-code
How to trap exit 1 signal in Shell script?

I would like to try trapping signal 1 but fail #!/bin/bash # capture an interrupt # 0 trap 'echo "Exit 0 signal detected..."' 0 …

shell signals exit-code bash-trap
Can't get errorlevel from failed MOVE command in batch script

I'm pretty new to this forum so i first want to thank you for providing me with solutions even before …

batch-file exit-code errorlevel
Customize zsh's prompt when displaying previous command exit code

Zsh includes the ability to display the return code/exit code of the previous command in the prompt by using …

zsh exit-code
What is the cause of JVM exit code 1073807364?

I've built a RCP-based application, and one of my users running on Windows XP, Sun JVM 1.6.0_12 had a full application …

java windows-xp jvm sun exit-code
Program exit status conventions

What is conventional return values for applications in Windows and GNU/Linux respectivly. 0 means success. But what should be used …

linux windows exit-code errno getlasterror
My server exited with code 137

I wrote a C++ server/client pair using C++11, boost::asio and HDF5. The server was running fine for a …

c++ linux boost-asio exit-code error-code
Return value range of the main function

What does standard say about main return values range? Say only up to 255? Because int main(void){ return 256; } echo $? ; # out 0

c posix c99 exit-code
Get exit code from subshell through the pipes

How can I get exit code of wget from the subshell process? So, main problem is that $? is equal 0. Where …

bash pipe exit-code tee subshell
How get task scheduler to detect failed error code from powershell script

I have a few powershell scripts that I'm trying to get to trigger as a failed state in the windows …

windows powershell exit-code taskscheduler